import os
from ase.build import fcc111
from gpaw import GPAW, PW, FermiDirac, Mixer

sym = 'Au'

for n in range(10, 30):
    txt = 'gpaw.{}.{:03d}.txt'.format(sym, n)
    #if os.path.exists(txt):
    #    continue
    atoms = fcc111(sym, size=(1, 1, n), vacuum=5.)
    calc = GPAW(mode=PW(1000),
                kpts=(8,8,1),
                nbands='150%',
                mixer=Mixer(0.05, 4, 200.0),
                parallel=dict(augment_grids=True, kpt=12, band=2),
                occupations=FermiDirac(0.1),
                txt=txt)
    atoms.calc = calc
    atoms.get_potential_energy()
